Bug 246535 - security/strongswan: Add TEST_TARGET
Summary: security/strongswan: Add TEST_TARGET
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-18 07:22 UTC by Jose Luis Duran
Modified: 2020-05-24 10:05 UTC (History)
2 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
Add TEST_TARGET (475 bytes, patch)
2020-05-18 07:22 UTC, Jose Luis Duran
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2020-05-18 07:22:13 UTC
Created attachment 214594 [details]
Add TEST_TARGET

Upstream is being tested using Cirrus CI (https://cirrus-ci.com/github/strongswan/strongswan)
Comment 1 strongswan 2020-05-18 10:13:22 UTC
Comment on attachment 214594 [details]
Add TEST_TARGET

I am happy with this update.
Comment 2 Fernando Apesteguía freebsd_committer 2020-05-18 14:05:35 UTC
(In reply to strongswan from comment #1)
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 3 strongswan 2020-05-19 07:26:26 UTC
Comment on attachment 214594 [details]
Add TEST_TARGET

Setting the + flag.
Comment 4 strongswan 2020-05-19 07:27:05 UTC
(In reply to Fernando Apesteguía from comment #2)
I am changing the flag on the patch to + and submitting it but it does not want to update it.
Comment 5 strongswan 2020-05-19 07:27:49 UTC
Comment on attachment 214594 [details]
Add TEST_TARGET

Attempting to set the + flag again.
Comment 6 Fernando Apesteguía freebsd_committer 2020-05-19 07:30:17 UTC
Comment on attachment 214594 [details]
Add TEST_TARGET

^Triage: User can not set maintainer-approval in bugzilla. Setting it for him.
Comment 7 commit-hook freebsd_committer 2020-05-20 18:50:50 UTC
A commit references this bug:

Author: fernape
Date: Wed May 20 18:50:26 UTC 2020
New revision: 536014
URL: https://svnweb.freebsd.org/changeset/ports/536014

Log:
  security/strongswan: Add TEST_TARGET

  make test passes OK

  PR:	246535
  Submitted by:	jlduran@gmail.com
  Reviewed by:	strongswan@Nanoteq.com (maintainer)

Changes:
  head/security/strongswan/Makefile
Comment 8 Fernando Apesteguía freebsd_committer 2020-05-20 18:51:09 UTC
Committed,

Thanks!